// AddNode.cpp : implementation file
//

#include "stdafx.h"
#include "BemInp.h"
#include "AddNode.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddNode dialog


CAddNode::CAddNode(CWnd* pParent /*=NULL*/)
	: CDialog(CAddNode::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAddNode)
	m_x = 0.0f;
	m_y = 0.0f;
	//}}AFX_DATA_INIT
	m_stok="O.K.";m_stcan="Cancel";
}


void CAddNode::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddNode)
	DDX_Control(pDX, IDCANCEL, m_can);
	DDX_Control(pDX, IDOK, m_ok);
	DDX_Text(pDX, IDC_X_NODE, m_x);
	DDX_Text(pDX, IDC_Y_NODE, m_y);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddNode, CDialog)
	//{{AFX_MSG_MAP(CAddNode)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddNode message handlers

BOOL CAddNode::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_ok.SetWindowText(m_stok);
	m_can.SetWindowText(m_stcan);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
